 <launch>
    <!-- Turtlesim Node-->
    <node pkg="turtlesim" type="turtlesim_node" name="sim"/>
    <node pkg="turtlesim" type="turtle_teleop_key" name="teleop" output="screen"/>

    <node name="turtle1_tf_broadcaster" pkg="learning_tf" type="turtle_tf_broadcaster.py" respawn="false" output="screen" >
      <param name="turtle" type="string" value="turtle1" />
    </node>
    <node name="turtle2_tf_broadcaster" pkg="learning_tf" type="turtle_tf_broadcaster.py" respawn="false" output="screen" >
      <param name="turtle" type="string" value="turtle2" /> 
    </node>
    
    <node pkg="learning_tf" type="turtle_tf_listener.py" 
          name="listener" />

    <!--node pkg="learning_tf" type="fixed_tf_broadcaster.py" name= "broadcaster_fixed" /-->
     <node pkg="learning_tf" type="dynamic_tf_broadcaster.py" name= "broadcaster_dynamic" />
    
  </launch>
